Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228682 - Beagle needs wv1 in order to process Word .doc files
Summary: Beagle needs wv1 in order to process Word .doc files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: beagle
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nielsen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 13:31 UTC by ray
Modified: 2008-05-06 19:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:13:40 UTC


Attachments (Terms of Use)

Description ray 2007-02-14 13:31:46 UTC
Description of problem:Beagle depends on wv1 for indexing text in Word .doc
files. Wv1 is not included and not made available in the repos. 


Version-Release number of selected component (if applicable):

beagle-0.2.13-1.fc6
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Robert K. Moniot 2007-09-01 19:12:46 UTC
I too want beagle to index word documents.  I got it to work by building from
source.

1. Fetch and install source rpm:
     rpm -ivh beagle-0.2.16.2-5.fc7.src.rpm
2. Fetch and install wv and wv-devel binary rpms:
     yum install wv wv-devel
   (This step is key: wv-devel provides the needed "wv1" package.)
3. Try to build it:
     rpmbuild -v -bc /usr/src/redhat/SPECS/beagle.spec
3a. Step 3 will probably fail with a report of missing packages.  Install them.
 In my case I had to say
    yum install wv-devel   mono-devel mono-data mono-data-sqlite gtk-sharp2-gapi
gtk-sharp2-devel gnome-sharp-devel  mono-web libexif-devel gsf-sharp-devel 
evolution-sharp-devel perl-XML-Parser
3b. Repeat step 3.  It should now succeed.  Watch the configure step to make
sure that it says
    checking for WV1... yes
and later
            wv1?                      yes
4. Install it:
    cd /usr/src/redhat/BUILD/beagle-0.2.16.2/
    make install
  (Using "rpmbuild -bi" does not work: it fails when it finds the "unpackaged"
beagle-doc-extractor compiled in step 3.  There may be a command option to
ignore this but I don't know it.)
5. See beagle index your .doc files.

Comments: I don't know why wv1 is not enabled in the distro.  It seems to me
most of us who may not use Word ourselfs get emailed a lot of these .doc files
and need to keep track of them.  I do anyhow.

I did the above on a pristine system (Fedora 7 install, not upgrade from FC6)
which had never had beagle installed.  You may have to uninstall the beagle
binary rpm (rpm -e beagle) before doing step 4.

Comment 2 Bug Zapper 2008-04-04 06:14:06 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2008-05-06 19:13:38 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.